Static Public Member Functions | List of all members
HLSLPatchShaderSource Class Reference

`#include <hlslPatchShaderSource.h>`

## Static Public Member Functions
static std::string | GetCommonShaderSource ()
static std::string | GetPatchBasisShaderSource ()
static std::string | GetVertexShaderSource (Far::PatchDescriptor::Type type)
static std::string | GetHullShaderSource (Far::PatchDescriptor::Type type)
static std::string | GetDomainShaderSource (Far::PatchDescriptor::Type type)

## Detailed Description

Definition at line 37 of file hlslPatchShaderSource.h.

## Member Function Documentation

## § GetCommonShaderSource()

static std::string GetCommonShaderSource | ( |  | ) |
| static

## § GetDomainShaderSource()

static std::string GetDomainShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

## § GetHullShaderSource()

static std::string GetHullShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

## § GetPatchBasisShaderSource()

static std::string GetPatchBasisShaderSource | ( |  | ) |
| static

## § GetVertexShaderSource()

static std::string GetVertexShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

The documentation for this class was generated from the following file:

- opensubdiv/osd/hlslPatchShaderSource.h